<%#
Copyright 2011-2024, The Trustees of Indiana University and Northwestern
  University.  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed
  under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
  CONDITIONS OF ANY KIND, either express or implied. See the License for the
  specific language governing permissions and limitations under the License.
---  END LICENSE_HEADER BLOCK  ---
%>
<%# TODO: Use new Blacklight::DocumentMetadataComponent instead of overriding this view  %>
<% doc_presenter = document_presenter(document) %> 
<%# default partial to display solr document fields in catalog index view %>
<dl class="document-metadata row dl-invert col-md-12 col-lg-8">
  <% doc_presenter.field_presenters.each do |field_presenter| %>
    <% if field_presenter.render_field? %>
      <dt class="blacklight-<%= field_presenter.key %> col-sm-12"><%= field_presenter.label %>:</dt>
      <dd class="blacklight-<%= field_presenter.key %> col-sm-12"><%= field_presenter.values.join(', ') %></dd>
    <% end %>
  <% end %>
  <% if params[:q].present? && (found_in_hits = display_found_in(doc_presenter.document)).present? %>
    <dt class="blacklight-found_in col-sm-3">Found in:</dt>
    <dd class="blacklight-found_in col-sm-9"><%= found_in_hits %></dd>
  <% end %>
</dl>
